Subject: bug#77171: 31.0.50; Some lines in etc/HELLO display with large height on MS-Windows

From: Cecilio Pardo <[email-masked]>
Date: Thu, 27 Mar 2025 22:30:48 +0100

On 22/03/2025 15:12, Cecilio Pardo wrote:
> On 22/03/2025 11:36, Eli Zaretskii wrote:
>> Cecilio, could you please look into this?  I'm guessing that the code
>> we now use to return the metrics of character glyphs somehow returns
>> different results from what was used before, in this particular
>> aspect.

Just reporting status.

The problematic font here is "Sans serif collection", which gives very 
big ascent and descent values for glyphs. Not even Windows own tools, 
such as charmap or the font selection dialog, render this font correctly.

Emacs' code without directwrite directly inspects the glyph outlines to 
get metrics. I'm looking for a way to do the same with directwrite, or 
find another solution.